Retrospect addon

  • Hi,


    I,m trying to use this great Retrospect addon, without succes in LibreELEC 8.0, in LibreELEC 7.0 however this addon works perfect.
    Livestream is working but steams from archive in the section vrt.nu don't work.
    I'm far from an expert but the error that I get in the retrospect.log is

    Code
    1. 20170320 12:01:52 - [CRITICAL] - urihandler.py        - 639  - + URLError: <urlopen error [SSL: DECRYPTION_FAILED_OR_BAD_RECORD_MAC] decryption failed



    I do have this problem with the Rpi2 and my amlogic S905 device (kszaq's builds).
    I've noticed that LibreELEC 7.0.2 and 8.0 use different LibreSSL versions, don't now if this is the cause.
    In attachement kodi.log, retrospect.log and screenshot.


    thanks in advance,
    Jefken.

    Images

    Files

    • kodi.log

      (48.47 kB, downloaded 233 times, last: )
    • retrospect.log

      (13.48 kB, downloaded 232 times, last: )

    Raspberry Pi2 LibreELEC Milhouse nightly builds

    Q-Box 2G/8G and Q-Box 2G/16G LibreELEC 8.2 kszaq 's
    NexBox A95x balbes150 Armbian_5.32_S9xxx_Debian_jessie_3.14.29_server_20170907 with tvheadend and OScam.
    Digibit R1 Sat>IP server. (80 cm. dish with disecq 4/2 (28.2E, 23.5E, 13.0E, 19.2E) and fixed 90 cm. dish at 30.0W)

    4 x TP-LINK TL-PA411

  • Have you tried to activate both inpustream addons (available from the LibreELEC repo)?

    @

    Edited once, last by awiouy ().


  • You seem to have loads of other repositories and/or addons installed. Some of which that are known to disrupt basic Kodi functionality. And since some of them are deemed illegal banned by the Kodi team, support will stop here.


    Also, the Retrospect was not created and thus not supported by the LibreELEC or Kodi team.
    I suggest you ask contact the people at rieter.net how to solve your problem.

    Edited once, last by Klojum ().

  • You seem to have loads of other repositories and/or addons installed. Some of which that are known to disrupt basic Kodi functionality. And since some of them are deemed illegal by the Kodi team, support will stop here.


    Also, the Retrospect was not created and thus not supported by the LibreELEC or Kodi team.
    I suggest you ask contact the people at rieter.net how to solve your problem.


    As the Retrospect maiin dev, I would like to comment to this. Regardeless of the fact that there are some weird add-ons installed. The error

    Code
    1. URLError: <urlopen error [SSL: DECRYPTION_FAILED_OR_BAD_RECORD_MAC] decryption failed


    Is a Python error caused by the SSL library that was used with these builds. So the question would be is the actual SSL library or is there a CA missing within these builds?

    Edited once, last by basje ().

  • As the Retrospect maiin dev, I would like to comment to this. Regardeless of the fact that there are some weird add-ons installed. The error

    Code
    1. URLError: <urlopen error [SSL: DECRYPTION_FAILED_OR_BAD_RECORD_MAC] decryption failed


    Is a Python error caused by the SSL library that was used with these builds. So the question would be is the actual SSL library or is there a CA missing within these builds?


    I'm sorry, i did'nt even kwow those addons/repos where banned, most off them I used in LibreELEC 7.0, mostly to help me install programs like easy advanced settings, I do use LibreELEC to watch Sat-tv over tvheadend in combination with my Sat>IP server (indoors).

    Raspberry Pi2 LibreELEC Milhouse nightly builds

    Q-Box 2G/8G and Q-Box 2G/16G LibreELEC 8.2 kszaq 's
    NexBox A95x balbes150 Armbian_5.32_S9xxx_Debian_jessie_3.14.29_server_20170907 with tvheadend and OScam.
    Digibit R1 Sat>IP server. (80 cm. dish with disecq 4/2 (28.2E, 23.5E, 13.0E, 19.2E) and fixed 90 cm. dish at 30.0W)

    4 x TP-LINK TL-PA411

  • Hi, I have the same issue here. LibreELEC 8.0.1 with retrospect add-on does not work for vrt.nu streams. According the following info the issues is caused by the adoption of LibreSSL instead of OpenSSL (basrieter / XBMC Online TV / issues / #818 - VRT NU not working on Raspberry Pi2 and Amlogic s905 device under Krypton — Bitbucket). Though I also found following link: move back to openssl by lrusak · Pull Request #1312 · LibreELEC/LibreELEC.tv · GitHub which I hope will become merged soon: LibreELEC moving back to OpenSSL.


    In the meanwhile is there no other workaround than recompiling LibreELEC with OpenSSL?


  • Hi, I have the same issue here. LibreELEC 8.0.1 with retrospect add-on does not work for vrt.nu streams. According the following info the issues is caused by the adoption of LibreSSL instead of OpenSSL (basrieter / XBMC Online TV / issues / #818 - VRT NU not working on Raspberry Pi2 and Amlogic s905 device under Krypton — Bitbucket). Though I also found following link: move back to openssl by lrusak · Pull Request #1312 · LibreELEC/LibreELEC.tv · GitHub which I hope will become merged soon: LibreELEC moving back to OpenSSL.


    In the meanwhile is there no other workaround than recompiling LibreELEC with OpenSSL?


    We are in the same boat here. (Together with some family and friends with a similar setup)


    We use Retrospect to watch local TV channels over the Internet, and since v8.0.1 some of these no longer work.
    The children can no longer watch their favorite shows ! Urgency is required here ! :-)

  • You could investigate whether OSMC would work for you. I use it myself and it seems to work fine for my on my rpi's.

  • basje Thanks for the advice. But the LibreELEC project is where the heart lies. It trumps urgency ;-)


    PS OSMC does have a very good remote control for Kodi though !

  • LE already moved master branch (future LE 9.0) back to OpenSSL but there are no plans to move 8.0.x releases as it requires a load of additional rework to add-ons and there isn't the appetite for that. Current milhouse builds (with Kodi Leia code) are available. If/maybe we opt to create an LE 8.2 release to bring a kernel bump and other new hardware changes before Leia (as it's a long way off) we will do it then, but there's no guarantee we'll do that.

  • I have had a look at the log and code, but I was not able to determine where the problem lies: in libressl, in python (ssl module) or in urihandler. It is even more difficult to determine as both python and libressl have been updated from LE 7.0 to LE 8.0. A patch to libressl, python or urihandler would be conceivable, provided the cause of the problem can be identified. Unfortunately, the log does not help much. Hints are welcome.

    @